Bug 472787 - gnome-power-manager memory leak
gnome-power-manager memory leak
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 11:50 EST by Pascal Calarco
Modified: 2009-07-28 07:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 07:04:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal Calarco 2008-11-24 11:50:20 EST
Description of problem:
gnome-power-manager 2.24.1-3-fc10 consumes increasing memory until it grinds system to being unusable.  This is on Fedora 10 x86_64 (rawhide), kernel 2.6.27.5-117.fc10.  Begins by spawning four processes starting out at 394MB each and increasing to 500MB+ each.  Killing these processes frees up this memory and significant CPU.  When I then start gnome-power-manager as regular user from command line and watch the system monitor, the process starts at 4MB memory, doubles within two minutes, triples to 12M in three minutes, and 16M in five minutes.

Version-Release number of selected component (if applicable):
See above

How reproducible:
Every time.

Steps to Reproduce:
1. Log into Gnome as regular user
2. Open up System Monitor
3. Watch process chew up memory
  
Actual results:
See above. 

Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 00:52:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard Hughes 2009-04-15 11:58:12 EDT
Does this still happen with the version in fedora rawhide, or the version of the Fedora 11 beta live cd?

Note You need to log in before you can comment on or make changes to this bug.